Daemon Power

The NetBSD Packages Collection: multimedia/mkv2mp4

Brief description of the package:
Remux mkv files to mp4 files compatible with standalone players

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/dfwarden/mkv2mp4.

Please note that this package has a gnu-gpl-v3 license.

The package is located in the "multimedia/mkv2mp4" directory. The current source version of the package is "py27-mkv2mp4-0.0.20121208nb9". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for multimedia/mkv2mp4 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: mkvtoolnix>=1.7.0 lzo>=2.01 cwrappers>=20150314 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libvorbis>=1.0.1 boost-libs-1.67.* icu>=3.4 icu>=61.1 boost-headers-1.67.* boost-jam-1.67.* libebml>=0.8 libmatroska>=0.8.0 libebml>=1.3.6 libebml>=1.3.1 cmark>=0.28.3 python36>=3.6 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python36>=3.6.0 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 boost-libs>=1.67.0 libebml>=1.3.5 libmatroska>=1.4.2 docbook-xsl-[0-9]* docbook-xml>=4.2 xmlcatmgr>=2.0beta1 perl>=5.0 po4a-[0-9]* p5-gettext>=1.01 perl>=5.26.0 perl<5.28.0 p5-SGMLS-[0-9]* p5-Term-ReadKey-[0-9]* p5-Text-WrapI18N-[0-9]* p5-Text-CharWidth-[0-9]* p5-CPAN-Meta>=2.141170 p5-Scalar-List-Utils>=1.33 p5-PerlIO-utf8_strict-[0-9]* p5-Test-Exception-[0-9]* p5-Sub-Uplevel>=0.18 gettext-tools>=0.18.1.1nb3 gettext-lib>=0.18 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libxml2>=2.6.2 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* libxslt>=1.1.28nb2 p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-CPAN-Meta>=2.142060 ruby24-base>=2.4.4 libyaml>=0.1.1 libyaml>=0.1.4 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 ffmpeg1>=1.2.6nb1 libass>=0.9.12 fribidi>=0.19.0 fribidi>=0.19.1 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 harfbuzz>=0.9.4 glib2>=2.4.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 python27>=2.7.1nb2 glib2>=2.34.0 enca>=1.9 fontconfig>=2.13.0 harfbuzz>=1.4.2nb1 libtheora>=1.0alpha3 lame>=3.93.1nb2 xvidcore>=1.0.0 libvdpau>=0.3 x11-links>=1.12 osabi-NetBSD-8.0_RC1 xorgproto>=2016.1 libva>=1.0.6 Xfixes>=2.0.0 fixesproto>=3.0.0<5 libdrm>=2.4.15 Xfixes>=2.0.1nb2 libvpx>=1.6.0 yasm-[0-9]* libass>=0.14.0nb1 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 yasm>=0.7.2 gpac>=0.6.0 libXv>=1.0.1 faad2>=2.6.1 liba52>=0.7.4 libmad>=0.15.0b pulseaudio>=11.0 avahi>=0.6.23 gtk2+>=2.14.0 py27-expat-[0-9]* shared-mime-info>=0.15 atk>=1.30.0 glib2>=2.31.2 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.54.0 libffi>=3.0.0 gobject-introspection>=1.34.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.2.4 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 png>=1.6.0nb1 xcursor>=1.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 glib2>=2.33.12 harfbuzz>=0.9.9 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 xcb-proto>=1.4 py27-mako-[0-9]* py27-setuptools>=0.8 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.14.12nb1 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.14.12nb1 help2man-[0-9]* pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.1 gobject-introspection>=0.9.3 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 gtk2+>=2.24.32nb3 libXtst>=1.0.1 consolekit>=0.3.0 polkit>=0.103 spidermonkey52>=52.0.0 nspr>=4.9.3.2 libxslt-[0-9]* dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 dbus-glib>=0.100nb1 libsndfile>=1.0.0 libogg>=1.1.3 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 libltdl>=2.4.2 avahi>=0.6.32nb13 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.14.1 libltdl>=2.2.6 openjpeg>=2.1.0 lcms2>=2.2 ffmpeg3>=3.0 x264-devel>=20111207 nasm>=2.13.0 x264-devel>=20180224 libbluray>=0.8.1 nasm>=2.13 xmlrpc-c-ss>=1.16.34 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 libwww>=5.3.2nb2 curl>=7.57.0nb1 libwww>=5.4.0nb16 liba52>=0.7.4nb3 libmad>=0.15.1bnb1 pulseaudio>=11.1nb2 ffmpeg3>=3.4.2nb4 xmlrpc-c-ss>=1.25.26nb7 ffmpeg1>=1.2.12nb8 .

This package requires the following package(s) to run: mkvtoolnix>=1.7.0 lzo>=2.01 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libvorbis>=1.0.1 boost-libs-1.67.* icu>=3.4 icu>=61.1 libebml>=0.8 libmatroska>=0.8.0 libebml>=1.3.6 libebml>=1.3.1 cmark>=0.28.3 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 boost-libs>=1.67.0 libebml>=1.3.5 libmatroska>=1.4.2 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 ffmpeg1>=1.2.6nb1 libass>=0.9.12 fribidi>=0.19.0 fribidi>=0.19.1 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 harfbuzz>=0.9.4 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.34.0 enca>=1.9 fontconfig>=2.13.0 harfbuzz>=1.4.2nb1 libtheora>=1.0alpha3 lame>=3.93.1nb2 xvidcore>=1.0.0 libvdpau>=0.3 libva>=1.0.6 Xfixes>=2.0.0 libdrm>=2.4.15 Xfixes>=2.0.1nb2 libvpx>=1.6.0 libass>=0.14.0nb1 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 gpac>=0.6.0 libXv>=1.0.1 faad2>=2.6.1 liba52>=0.7.4 libmad>=0.15.0b pulseaudio>=11.0 avahi>=0.6.23 gtk2+>=2.14.0 py27-expat-[0-9]* python27>=2.7.1nb2 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.2.4 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 png>=1.6.0nb1 xcursor>=1.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 glib2>=2.33.12 harfbuzz>=0.9.9 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.14.12nb1 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.14.12nb1 pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.1 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 dbus>=0.91 gtk2+>=2.24.32nb3 libXtst>=1.0.1 consolekit>=0.3.0 polkit>=0.103 spidermonkey52>=52.0.0 nspr>=4.9.3.2 dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 dbus-glib>=0.100nb1 libsndfile>=1.0.0 libogg>=1.1.3 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 readline>=2.2 readline>=6.0 libltdl>=2.4.2 avahi>=0.6.32nb13 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.14.1 libltdl>=2.2.6 openjpeg>=2.1.0 lcms2>=2.2 ffmpeg3>=3.0 x264-devel>=20111207 x264-devel>=20180224 libbluray>=0.8.1 xmlrpc-c-ss>=1.16.34 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 libwww>=5.3.2nb2 curl>=7.57.0nb1 libwww>=5.4.0nb16 liba52>=0.7.4nb3 libmad>=0.15.1bnb1 pulseaudio>=11.1nb2 ffmpeg3>=3.4.2nb4 xmlrpc-c-ss>=1.25.26nb7 ffmpeg1>=1.2.12nb8 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv6hf:py27-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
earmv6hf:py33-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
earmv6hf:py34-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
earmv6hf:py35-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
earmv7hf:py27-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
earmv7hf:py33-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
earmv7hf:py34-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
earmv7hf:py35-mkv2mp4-0.0.20121208nb6.tgz(NetBSD 7.0)
i386:py27-mkv2mp4-0.0.20121208nb7.tgz(NetBSD 7.0)
i386:py34-mkv2mp4-0.0.20121208nb7.tgz(NetBSD 7.0)
i386:py35-mkv2mp4-0.0.20121208nb7.tgz(NetBSD 7.0)
i386:py27-mkv2mp4-0.0.20121208nb7.tgz(NetBSD 7.0)
i386:py34-mkv2mp4-0.0.20121208nb7.tgz(NetBSD 7.0)
i386:py35-mkv2mp4-0.0.20121208nb7.tgz(NetBSD 7.0)
i386:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0)
i386:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
i386:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
i386:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
i386:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0.1_PATCH)
x86_64:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0.1_PATCH)
x86_64:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0.1_PATCH)
x86_64:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 7.0.1_PATCH)
x86_64:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)
x86_64:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)
x86_64:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)
x86_64:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)
x86_64:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.0)
x86_64:py27-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)
x86_64:py34-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)
x86_64:py35-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)
x86_64:py36-mkv2mp4-0.0.20121208nb8.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]